let app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    dataList: [],
  },
  getList: function (OrderId) {
    app.$api('sellorder_get_GetTravelGuestList', { OrderId: OrderId}).then(res => {
      this.setData({
        dataList: res.list
      })
    }).catch(err => { })
  },
  formSubmit: function (e) {
    wx.getStorage({
      key: 'admin',
      success: res => {
        let url = e.detail.target.dataset.url;
        let index = e.detail.target.dataset.index;
        let formId = e.detail.formId
        console.log(formId, code)
        app.$apiSaveFormId('survey_post_SaveFormId', { formId: formId, customerId: res.data.id }).then(res => {
          console.log(res)
        }).catch(err => { })
        if (this.data.dataList[Number(index)].GuestSurveyID > 0) {
          wx.navigateTo({
            url: url + '?ID=' + this.data.dataList[Number(index)].GuestSurveyID + '&name=' + this.data.dataList[Number(index)].Name + '&MobilePhone=' + this.data.dataList[Number(index)].MobilePhone,
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList(options.orderId)
    wx.setNavigationBarTitle({
      title: '旅客名单'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})